Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyototycoon::ThreadedServer::Worker Class Reference

Interface to process each request. More...

`#include <ktthserv.h>`

List of all members.

## Public Member Functions
virtual | ~Worker ()
| Destructor.
virtual bool | process (ThreadedServer *serv, Session *sess)=0
| Process each request.
virtual void | process_idle (ThreadedServer *serv)
| Process each idle event.
virtual void | process_timer (ThreadedServer *serv)
| Process each timer event.
virtual void | process_start (ThreadedServer *serv)
| Process the starting event.
virtual void | process_finish (ThreadedServer *serv)
| Process the finishing event.

## Detailed Description

Interface to process each request.

## Constructor & Destructor Documentation

virtual kyototycoon::ThreadedServer::Worker::~Worker | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool kyototycoon::ThreadedServer::Worker::process | ( | ThreadedServer * | serv,
|  | Session * | sess
| ) |  | `[pure virtual]`

Process each request.

Parameters:

  serv | the server.
  sess | the session with the client.

Returns:
  true to reuse the session, or false to close the session.

virtual void kyototycoon::ThreadedServer::Worker::process_idle | ( | ThreadedServer * | serv | ) | `[virtual]`

Process each idle event.

Parameters:

  serv | the server.

virtual void kyototycoon::ThreadedServer::Worker::process_timer | ( | ThreadedServer * | serv | ) | `[virtual]`

Process each timer event.

Parameters:

  serv | the server.

virtual void kyototycoon::ThreadedServer::Worker::process_start | ( | ThreadedServer * | serv | ) | `[virtual]`

Process the starting event.

Parameters:

  serv | the server.

virtual void kyototycoon::ThreadedServer::Worker::process_finish | ( | ThreadedServer * | serv | ) | `[virtual]`

Process the finishing event.

Parameters:

  serv | the server.